package structs

import "time"

type Robot struct {
	Id           string
	Type         uint8 // robot type (0 = rex, 1 = yeet)
	Name         string
	Status       uint8
	Address      string
	CurrentJobId string
	CurrentTask  string
	ConnectedAt  time.Time
}

// swagger:model FirstRequestBody
type FirstRequestBody struct {
	// robot id
	Id string
	// robot type (0 = rex, 1 = yeet)
	Type uint8
	// connected modul like a gripper
	//ConnectedModul uint8
}

// swagger:model StatusResponse
type StatusResponse struct {
	Status string
}
